(module utils mzscheme
  
  (provide (all-defined))
  
  (require (lib "pregexp.ss"))
  
  ;; read+log-line : input-port -> string
  (define (read+log-line in)
    (let ([l (read-line in)])
      (if (eof-object? l)
          (raise 'no-more-input)
          (begin
            (printf "GOT: ~a~n" l)
            l))))
  
  ;; read-list : input-port -> (listof str)
  (define (read-list in)
    (let ([l (pregexp-split " +" (read+log-line in))])
      (if (and (not (null? l)) (equal? (car l) ""))
          (cdr l)
          l))))
    